Uses of Interface
io.vertx.ext.web.validation.RequestParameter
Packages that use RequestParameter
Package
Description
-
Uses of RequestParameter in io.vertx.ext.web.validation
Methods in io.vertx.ext.web.validation that return RequestParameterModifier and TypeMethodDescriptionRequestParameters.body()Return request body when parsed.RequestParameters.cookieParameter(String name) Get cookie parameter by namestatic RequestParameterRequestParameters.headerParameter(String name) Get header parameter by name.RequestParameters.pathParameter(String name) Get path parameter by nameRequestParameters.queryParameter(String name) Get query parameter by name -
Uses of RequestParameter in io.vertx.reactivex.ext.web.validation
Methods in io.vertx.reactivex.ext.web.validation that return RequestParameterMethods in io.vertx.reactivex.ext.web.validation with parameters of type RequestParameterModifier and TypeMethodDescriptionstatic RequestParameterRequestParameter.newInstance(RequestParameter arg) Constructors in io.vertx.reactivex.ext.web.validation with parameters of type RequestParameter -
Uses of RequestParameter in io.vertx.rxjava3.ext.web.validation
Methods in io.vertx.rxjava3.ext.web.validation that return RequestParameterMethods in io.vertx.rxjava3.ext.web.validation with parameters of type RequestParameterModifier and TypeMethodDescriptionstatic RequestParameterRequestParameter.newInstance(RequestParameter arg) Constructors in io.vertx.rxjava3.ext.web.validation with parameters of type RequestParameter